Index: examples/python_tests/access_rt2/access.save
===================================================================
--- examples/python_tests/access_rt2/access.save	(revision d9c38866300b69a7dba07e4861387a50cdcba124)
+++ examples/python_tests/access_rt2/access.save	(revision 5d06689e2b01138202c40932797284b0fcdf7603)
@@ -13,2 +13,16 @@
 YAP query succeed
 pAlpha.team('proj2') <- pJoe
+...initial principal set...
+(pAlpha,keyid,y) 
+(pBob,keyid,y) 
+(pJoe,keyid,y) 
+
+
+...initial policy attribute set...
+pAlpha.access('Read','file//fileB') <- pBob
+pAlpha.access('Read',F:pAlpha.documents(P)) <- pAlpha.team(P)
+pAlpha.team('proj1') <- pBob
+pAlpha.documents('proj1') <- 'file//fileA'
+pAlpha.team('proj2') <- pJoe
+
+
Index: examples/python_tests/access_rt2/attr.py
===================================================================
--- examples/python_tests/access_rt2/attr.py	(revision d9c38866300b69a7dba07e4861387a50cdcba124)
+++ examples/python_tests/access_rt2/attr.py	(revision 5d06689e2b01138202c40932797284b0fcdf7603)
@@ -34,19 +34,19 @@
 joeID=ABAC.ID("Joe", 0)
 ctxt.load_id(joeID)
-#joeID.write_privkey("Joe_IDKEY.pem")
-#joeID.write_cert("Joe_IDKEY.pem")
-joeID.write_privkey("Joe_private.pem")
-joeID.write_cert("Joe_ID.pem")
-joe=joeID.keyid()
+#joeID.id_write_privkey("Joe_IDKEY.pem")
+#joeID.id_write_cert("Joe_IDKEY.pem")
+joeID.id_write_privkey("Joe_private.pem")
+joeID.id_write_cert("Joe_ID.pem")
+joe=joeID.id_keyid()
 
 #ctxt.load_id_file("Alpha_ID.pem","Alpha_private.pem")
 alphaID=ABAC.ID("Alpha_ID.pem")
-alphaID.load_privkey("Alpha_private.pem");
-alpha=alphaID.keyid()
+alphaID.id_load_privkey_file("Alpha_private.pem");
+alpha=alphaID.id_keyid()
 
 #ctxt.load_id_file("Bob_ID.pem","Bob_private.pem")
 bobID=ABAC.ID("Bob_ID.pem")
-bobID.load_privkey("Bob_private.pem");
-bob=bobID.keyid()
+bobID.id_load_privkey_file("Bob_private.pem");
+bob=bobID.id_keyid()
 
 ################################################
@@ -55,11 +55,11 @@
 param2=ABAC.DataTerm("urn","'file//fileB'")
 role = ABAC.Role(alpha,"access")
-role.add_data_term(param1)
-role.add_data_term(param2)
+role.role_add_data_term(param1)
+role.role_add_data_term(param2)
 p = ABAC.Role(bob)
 attr=ABAC.Attribute(role, 1800)
-attr.add_tail(p)
-attr.bake()
-attr.write_cert("Alpha_access_fileB__Bob_attr.der")
+attr.attribute_add_tail(p)
+attr.attribute_bake()
+attr.attribute_write_cert("Alpha_access_fileB__Bob_attr.der")
 ctxt.load_attribute_file("Alpha_access_fileB__Bob_attr.der")
 print attr.string() 
@@ -71,10 +71,10 @@
 param1=ABAC.DataTerm("string", "'proj1'")
 role = ABAC.Role(alpha,"team")
-role.add_data_term(param1)
+role.role_add_data_term(param1)
 tail = ABAC.Role(bob)
 attr=ABAC.Attribute(role, 1800)
-attr.add_tail(tail)
-attr.bake()
-attr.write_cert("Alpha_team_proj1__Bob_attr.der")
+attr.attribute_add_tail(tail)
+attr.attribute_bake()
+attr.attribute_write_cert("Alpha_team_proj1__Bob_attr.der")
 ctxt.load_attribute_file("Alpha_team_proj1__Bob_attr.der")
 print attr.string() 
@@ -86,10 +86,10 @@
 param1=ABAC.DataTerm("string", "'proj2'")
 role = ABAC.Role(alpha,"team")
-role.add_data_term(param1)
+role.role_add_data_term(param1)
 tail = ABAC.Role(joe)
 attr=ABAC.Attribute(role, 1800)
-attr.add_tail(tail)
-attr.bake()
-attr.write_cert("Alpha_team_proj2__Joe_attr.der")
+attr.attribute_add_tail(tail)
+attr.attribute_bake()
+attr.attribute_write_cert("Alpha_team_proj2__Joe_attr.der")
 ctxt.load_attribute_file("Alpha_team_proj2__Joe_attr.der")
 print attr.string() 
@@ -104,19 +104,19 @@
 param=ABAC.DataTerm("string", "P")
 oset=ABAC.Oset(alpha,"documents")
-oset.add_data_term(param)
+oset.oset_add_data_term(param)
 cond=ABAC.Constraint(oset)
 param2=ABAC.DataTerm("urn", "F", cond)
 param1=ABAC.DataTerm("string", "'Read'")
 head = ABAC.Role(alpha,"access")
-head.add_data_term(param1)
-head.add_data_term(param2)
+head.role_add_data_term(param1)
+head.role_add_data_term(param2)
 param3=ABAC.DataTerm("string", "P")
 tail = ABAC.Role(alpha,"team")
-tail.add_data_term(param3)
+tail.role_add_data_term(param3)
 
 attr=ABAC.Attribute(head, 1800)
-attr.add_tail(tail)
-attr.bake()
-attr.write_cert("Alpha_access_qFqP__alpha_team_qP_attr.der")
+attr.attribute_add_tail(tail)
+attr.attribute_bake()
+attr.attribute_write_cert("Alpha_access_qFqP__alpha_team_qP_attr.der")
 #ctxt.load_attribute_file("Alpha_access_qFqP__alpha_team_qP_attr.der")
 ctxt.load_attribute(attr)
@@ -130,16 +130,17 @@
 param1=ABAC.DataTerm("string", "'proj1'")
 oset = ABAC.Oset(alpha,"documents")
-oset.add_data_term(param1)
+oset.oset_add_data_term(param1)
 obj = ABAC.DataTerm("urn", "'file//fileA'")
 tail= ABAC.Oset(obj)
 attr=ABAC.Attribute(oset, 1800)
-attr.add_tail(tail)
-attr.bake()
-attr.write_cert("Alpha_team_proj1__fileA_attr.der")
-ctxt.load_attribute_file("Alpha_team_proj1__fileA_attr.der")
+attr.attribute_add_tail(tail)
+attr.attribute_bake()
+attr.attribute_write_cert("Alpha_team_proj1__fileA_attr.der")
+#ctxt.load_attribute_file("Alpha_team_proj1__fileA_attr.der")
+ctxt.load_attribute(attr)
 print attr.string() 
 print attr.typed_string()
 print "\n"
 
-#ctxt.dump_yap()
+ctxt.dump_yap_db()
 ##
Index: examples/python_tests/access_rt2/query.py
===================================================================
--- examples/python_tests/access_rt2/query.py	(revision d9c38866300b69a7dba07e4861387a50cdcba124)
+++ examples/python_tests/access_rt2/query.py	(revision 5d06689e2b01138202c40932797284b0fcdf7603)
@@ -21,17 +21,16 @@
 
 alphaID=ABAC.ID("Alpha_ID.pem");
-alphaID.load_privkey("Alpha_private.pem");
+alphaID.id_load_privkey_file("Alpha_private.pem");
 #ctxt.load_id(alphaID)
-alpha=alphaID.keyid()
+alpha=alphaID.id_keyid()
 
 bobID=ABAC.ID("Bob_ID.pem");
-bobID.load_privkey("Bob_private.pem");
+bobID.id_load_privkey_file("Bob_private.pem");
 #ctxt.load_id(bobID)
-bob=bobID.keyid()
+bob=bobID.id_keyid()
 
 joeID=ABAC.ID("Joe_ID.pem");
-joeID.load_privkey("Joe_private.pem");
-joe=joeID.keyid()
-
+joeID.id_load_privkey_file("Joe_private.pem");
+joe=joeID.id_keyid()
 
 ##########################################################################
@@ -41,6 +40,6 @@
 param2=ABAC.DataTerm("urn","'file//fileA'")
 role = ABAC.Role(alpha,"access")
-role.add_data_term(param1)
-role.add_data_term(param2)
+role.role_add_data_term(param1)
+role.role_add_data_term(param2)
 p = ABAC.Role(bob)
 
@@ -57,6 +56,6 @@
 param2=ABAC.DataTerm("urn","'file//fileA'")
 role = ABAC.Role(alpha,"access")
-role.add_data_term(param1)
-role.add_data_term(param2)
+role.role_add_data_term(param1)
+role.role_add_data_term(param2)
 p = ABAC.Role(joe)
 
@@ -73,5 +72,5 @@
 param=ABAC.DataTerm("string", "'proj2'")
 role = ABAC.Role(alpha,"team")
-role.add_data_term(param)
+role.role_add_data_term(param)
 p = ABAC.Role(joe)
 print "\n===good============ Alpha.team(proj2)<-?-Joe"
@@ -81,2 +80,22 @@
     print "%s <- %s" % (c.head_string(), c.tail_string())
 
+
+##########################################################################
+# dump the yap dB
+#
+#ctxt.dump_yap_db()
+
+##########################################################################
+# dump the loaded principals/policies 
+#
+out = ctxt.context_principals()
+print "...initial principal set..."
+for x in out[1]:
+    print "%s " % x.string()
+print "\n"
+out = ctxt.context_credentials()
+print "...initial policy attribute set..."
+for c in out[1]:
+    print "%s <- %s" % (c.head_string(), c.tail_string())
+print "\n"
+
Index: examples/python_tests/access_rt2/setup.py
===================================================================
--- examples/python_tests/access_rt2/setup.py	(revision d9c38866300b69a7dba07e4861387a50cdcba124)
+++ examples/python_tests/access_rt2/setup.py	(revision 5d06689e2b01138202c40932797284b0fcdf7603)
@@ -11,9 +11,9 @@
 ctxt = ABAC.Context()
 
-id=ABAC.ID("Alpha", 0)
-id.write_cert("Alpha_ID.pem")
-id.write_privkey("Alpha_private.pem")
+alphaID=ABAC.ID("Alpha", 0)
+alphaID.id_write_cert("Alpha_ID.pem")
+alphaID.id_write_privkey("Alpha_private.pem")
 
-id=ABAC.ID("Bob", 0)
-id.write_cert("Bob_ID.pem")
-id.write_privkey("Bob_private.pem")
+bobID=ABAC.ID("Bob", 0)
+bobID.id_write_cert("Bob_ID.pem")
+bobID.id_write_privkey("Bob_private.pem")
Index: examples/python_tests/basic_id/id.py
===================================================================
--- examples/python_tests/basic_id/id.py	(revision d9c38866300b69a7dba07e4861387a50cdcba124)
+++ examples/python_tests/basic_id/id.py	(revision 5d06689e2b01138202c40932797284b0fcdf7603)
@@ -26,33 +26,33 @@
 
 id=ABAC.ID("Mary", 0)
-print "adding -> %s(good)" % id.name()
-id.write_cert("Mary_ID.pem")
-id.write_privkey("Mary_private.pem")
-ctxt.load_id_file("Mary_ID.pem","Mary_private.pem")
+print "adding -> %s(good)" % id.id_name()
+id.id_write_cert("Mary_ID.pem")
+id.id_write_privkey("Mary_private.pem")
+ctxt.load_id_files("Mary_ID.pem","Mary_private.pem")
 
 nid=ABAC.ID("Jack", 0)
-print "adding -> %s(good)" % nid.name()
+print "adding -> %s(good)" % nid.id_name()
 ctxt.load_id(nid)
 
 id=ABAC.ID("Mark", 0)
-print "adding -> %s(good)" % id.name()
-id.write_privkey("Mark_IDKEY.pem")
-id.write_cert("Mark_IDKEY.pem")
+print "adding -> %s(good)" % id.id_name()
+id.id_write_privkey("Mark_IDKEY.pem")
+id.id_write_cert("Mark_IDKEY.pem")
 ctxt.load_id_file("Mark_IDKEY.pem")
 
 id=ABAC.ID("John", 0)
-print "adding -> %s(good,invisible)" % id.name()
-id.write_privkey("John_other.pem")
-id.write_cert("John_other.pem")
+print "adding -> %s(good,invisible)" % id.id_name()
+id.id_write_privkey("John_other.pem")
+id.id_write_cert("John_other.pem")
 ctxt.load_id_file("John_other.pem")
 
 id=ABAC.ID("Lori", 0)
-print "adding -> %s(good,nokey)" % id.name()
-id.write_cert("Lori_IDKEY.pem")
+print "adding -> %s(good,nokey)" % id.id_name()
+id.id_write_cert("Lori_IDKEY.pem")
 ctxt.load_id_file("Lori_IDKEY.pem")
 
 id=ABAC.ID("Tom", 0)
-print "adding -> %s(bad,nocert)" % id.name()
-id.write_privkey("Tom_IDKEY.pem")
+print "adding -> %s(bad,nocert)" % id.id_name()
+id.id_write_privkey("Tom_IDKEY.pem")
 ctxt.load_id_file("Tom_IDKEY.pem")
 
@@ -66,3 +66,3 @@
 print "\n"
 
-ctxt.dump_yap()
+ctxt.dump_yap_db()
